<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="item"
            type="es.verdnatura.presentation.view.feature.roadmap.model.RoadStopMapTruck" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/item_row_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/verdnatura_black_5"
            android:orientation="horizontal"
            android:paddingStart="@dimen/layout_margin_min"
            android:paddingTop="@dimen/pasilleros_margin_main_menu"
            android:paddingEnd="@dimen/layout_margin_min"
            android:paddingBottom="@dimen/pasilleros_margin_main_menu">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="@{String.valueOf(item.eta)}"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body2" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="@{item.description}"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/body2" />
            </LinearLayout>

            <ImageView
                android:id="@+id/ic_call"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginEnd="16dp"
                android:contentDescription="@string/palletTruckUnLoad"
                android:tooltipText="@string/palletTruckUnLoad"
                android:visibility="gone"
                app:srcCompat="@drawable/ic_phone" />
            <ImageView
                android:id="@+id/ubication"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginEnd="16dp"
                android:contentDescription="@string/palletTruckUnLoad"
                android:tooltipText="@string/palletTruckUnLoad"
                android:visibility="gone"
                app:srcCompat="@drawable/ic_location" />

            <ImageView
                android:id="@+id/loadPallet"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginEnd="16dp"
                android:contentDescription="@string/palletTruckLoad"
                android:tooltipText="@string/palletTruckLoad"
                app:srcCompat="@drawable/camion" />

            <ImageView
                android:id="@+id/unLoadPallet"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginEnd="16dp"
                android:contentDescription="@string/palletTruckUnLoad"
                android:tooltipText="@string/palletTruckUnLoad"
                app:srcCompat="@drawable/camion_descarga" />
            <ImageView
                android:id="@+id/moreActions"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginEnd="16dp"
                android:contentDescription="@string/actions"
                android:tooltipText="@string/actions"
                app:srcCompat="@drawable/ic_more_vert_black_24dp" />


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/verdnatura_black_9" />
    </LinearLayout>
</layout>